export enum VersionType {}

export function getVersionByNum(ver: number): VersionType {
  return ver;
}

export function getVersionByType(ver: VersionType): number {
  return ver;
}

export function stepUpVersionCalc(
  ver: VersionType,
  steps: number,
): VersionType {
  return ver + steps;
}

/*const VersionFactor = 1;

export function getVersionByNum(ver: number): VersionType {
  let verObj: VersionType;
  verObj = ver * VersionFactor;

  return verObj;
}

export function getVersionByType(ver: VersionType): number {
  let verObj: number;
  verObj = Math.floor(ver / VersionFactor);

  return verObj;
}

export function stepUpVersionCalc(
  ver: VersionType,
  steps: number,
): VersionType {
  return ver + steps * VersionFactor;
}*/
